> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/shopify/developer-tools/next-js/sdk-reference.md).

# SDK Reference

The Next.js starter kit includes a set of React hooks that offer an easy way to interact with Shopify's order management system, for common operations like adding items to a cart. These hooks provide access to SDK methods that handle communication with Shopify's order management system and keep the site's Redux state up to date. They also automatically send tracking events to Segment.

| Hook                                                                                     | Description                                                                                           |
| ---------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| [useAnalytics](/chord-oms/shopify/developer-tools/next-js/sdk-reference/useanalytics.md) | Provides support for sending UI-related tracking events to Segment.                                   |
| [useAuth](/chord-oms/shopify/developer-tools/next-js/sdk-reference/useauth.md)           | Provides support for user authentication with a Shopify customer account.                             |
| [useCart](/chord-oms/shopify/developer-tools/next-js/sdk-reference/usecart.md)           | Returns the current shopping cart, and functions for creating and interacting with the shopping cart. |
| [useTranslate](/chord-oms/shopify/developer-tools/next-js/sdk-reference/usetranslate.md) | Provides support for internationalization                                                             |
| [useUser](/chord-oms/shopify/developer-tools/next-js/sdk-reference/useuser.md)           | Returns the current user, and functions for loading data about the user.                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/shopify/developer-tools/next-js/sdk-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
